Skip to content

Set up compliance profile

POST
/api/v1/compliance/setup
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/compliance/setup \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "industry": "example", "jurisdictions": [ "example" ], "physical_address": "example" }'

Initialize the compliance profile for the tenant.

Media typeapplication/json
ComplianceSetupRequest

Request body for setting up a tenant’s compliance profile.

Attributes: jurisdictions: List of geographic jurisdictions to monitor (e.g., ["California", "federal"]). industry: The business’s industry for industry-specific compliance (e.g., "food_service", "healthcare").

object
industry
required
Industry

Business industry (e.g., ‘food_service’)

string
>= 1 characters <= 200 characters
jurisdictions
required
Jurisdictions

Jurisdictions to monitor (e.g., [‘California’, ‘federal’])

Array<string>
>= 1 items
physical_address
Any of:
string
>= 10 characters <= 1000 characters
Examplegenerated
{
"industry": "example",
"jurisdictions": [
"example"
],
"physical_address": "example"
}

Successful Response

Media typeapplication/json
ComplianceSetupEnvelope

Typed envelope for POST /setup.

object
data
required
ComplianceSetupResponse

Response body after setting up a compliance profile.

Attributes: tenant_id: The tenant the profile was created for. jurisdictions: Jurisdictions being monitored. industry: The configured industry. categories_monitored: Compliance categories being tracked. created_at: Date the profile was created.

object
categories_monitored
required
Categories Monitored

Compliance categories being tracked

Array<string>
created_at
required
Created At

Profile creation date (ISO format)

string
industry
required
Industry

Configured industry

string
jurisdictions
required
Jurisdictions

Monitored jurisdictions

Array<string>
tenant_id
required
Tenant Id

Tenant ID

string
meta
required
ResponseMeta

Standard metadata attached to every API response.

object
request_id
required
Request Id

Unique request identifier

string
timestamp
required
Timestamp

Server timestamp of the response

string format: date-time
Examplegenerated
{
"data": {
"categories_monitored": [
"example"
],
"created_at": "example",
"industry": "example",
"jurisdictions": [
"example"
],
"tenant_id": "example"
},
"meta": {
"request_id": "example",
"timestamp": "2026-04-15T12:00:00Z"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}